Remove attribute relationship from a user

Disassociates an attribute from a specific user.

DELETE/api/v1/{app_id}/users/{user_id}/attributes/{attribute_id}
API
Auth
OpenAPI
auth-api
Updated
Apr 26, 2026

auth-api:DELETE:/api/v1/{app_id}/users/{user_id}/attributes/{attribute_id}

Disassociates an attribute from a specific user.

API ownership

  • API family: Auth API
  • Best for: Customer identity, session, token, cart, and wishlist flows.
  • Do not use from: Merchant admin data syncs or public catalog rendering.
  • Guide route: /apis/auth/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: DELETE
  • Path: /api/v1/\{app_id\}/users/\{user_id\}/attributes/\{attribute_id\}
  • Summary: Remove attribute relationship from a user
  • Description: Disassociates an attribute from a specific user.
  • OpenAPI contract: auth-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters3 parameters
NameInRequiredTypeDescription
app_idpathYesstringApplication ID
user_idpathYesstringUser ID
attribute_idpathYesstringAttribute ID
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses4 statuses
StatusDescriptionContent
200The updated user objectapplication/json (object)
400Invalid request parametersapplication/json (object)
404User or Attribute relationship not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

User

PropertyTypeRequiredDetails
additionsobjectNo-
addressobjectNo-
app_idstringNo-
attributesobject[]No-
communication_preferencesobjectNo-
created_atstringNo-
customer_groupsobject[]No-
emailstringNo-
email_verifiedbooleanNo-
filesobject[]No-
first_namestringNo-
idstringNo-
is_super_adminbooleanNo-
languagestringNo-
last_login_atstringNo-
last_namestringNo-
marketstringNo-
market_currencystringNo-
market_idstringNo-
organisationsobject[]No-
phone_numberstringNo-
statusstringNo-
store_groupstringNo-
store_group_idstringNo-
tagsobject[]No-
updated_atstringNo-
Address
PropertyTypeRequiredDetails
citystringNo-
countrystringNo-
country_codestringNo-
streetstringNo-
zip_codestringNo-
Attribute
PropertyTypeRequiredDetails
descriptionstringNo-
idstringNo-
keystringNo-
namestringNo-
template_keystringNo-
translationsobjectNo-
valuesobjectNo-
Attribute Translations
PropertyTypeRequiredDetails
descriptionobjectNo-
nameobjectNo-
Communication Preferences
PropertyTypeRequiredDetails
allow_emailbooleanNo-
allow_postalbooleanNo-
allow_smsbooleanNo-
Customer Group Ref
PropertyTypeRequiredDetails
idstringNo-
namestringNo-
slugstringNo-
File
PropertyTypeRequiredDetails
app_idstringNo-
content_typestringNo-
created_atstringNo-
custom_fieldsobjectNo-
filenamestringNo-
idstringNo-
updated_atstringNo-
urlstringNo-
Organisation With User Relation
PropertyTypeRequiredDetails
app_idstringNo-
attributesobject[]No-
billing_addressobject[]No-
commentstringNo-
contact_namestringNo-
created_atstringNo-
credit_checkbooleanNo-
custom_fieldsobjectNo-
customer_groupsobject[]No-
emailstringNo-
external_refstringNo-
filesobject[]No-
idstringNo-
invoice_emailstringNo-
levelstringNoCan be null when a child organisation is without this user relation
namestringNo-
organisation_numberstringNo-
parent_idstringNo-
phonestringNo-
rolestringNoCan be null when a child organisation is without this user relation
role_namestringNoCan be null when a child organisation is without this user relation
shipping_addressobject[]No-
statusstringNo-
store_groupsobject[]No-
tagsobject[]No-
tax_id_vat_numberstringNo-
updated_atstringNo-
Company Address
PropertyTypeRequiredDetails
citystringNo-
co_addressstringNo-
company_idstringNo-
company_namestringNo-
countrystringNo-
created_atstringNo-
house_numberstringNo-
idstringNo-
is_defaultbooleanNo-
namestringNo-
phonestringNo-
postal_codestringNo-
shipping_typestringNo-
state_provincestringNo-
street_addressstringNo-
updated_atstringNo-
Store Group
PropertyTypeRequiredDetails
country_of_salestringNo-
created_atstringNo-
descriptionstringNo-
idstringNo-
namestringNo-
slugstringNo-
store_typestringNo-
updated_atstringNo-
Tag
PropertyTypeRequiredDetails
idstringNo-
keystringNo-
namestringNo-
{
  "additions": {},
  "address": {
    "city": "string",
    "country": "string",
    "country_code": "string",
    "street": "string",
    "zip_code": "string"
  },
  "app_id": "string",
  "attributes": [
    {
      "description": "string",
      "id": "string",
      "key": "string",
      "name": "string",
      "template_key": "string",
      "translations": {
        "description": {},
        "name": {}
      },
      "values": {}
    }
  ],
  "communication_preferences": {
    "allow_email": false,
    "allow_postal": false,
    "allow_sms": false
  },
  "created_at": "string",
  "customer_groups": [
    {
      "id": "string",
      "name": "string",
      "slug": "string"
    }
  ],
  "email": "string",
  "email_verified": false,
  "files": [
    {
      "app_id": "string",
      "content_type": "string",
      "created_at": "string",
      "custom_fields": {},
      "filename": "string",
      "id": "string",
      "updated_at": "string",
      "url": "string"
    }
  ],
  "first_name": "string",
  "id": "string",
  "is_super_admin": false,
  "language": "string",
  "last_login_at": "string",
  "last_name": "string",
  "market": "string",
  "market_currency": "string",
  "market_id": "string",
  "organisations": [
    {
      "app_id": "string",
      "attributes": [
        {
          "description": null,
          "id": null,
          "key": null,
          "name": null,
          "template_key": null,
          "translations": null,
          "values": null
        }
      ],
      "billing_address": [
        {
          "city": null,
          "co_address": null,
          "company_id": null,
          "company_name": null,
          "country": null,
          "created_at": null,
          "house_number": null,
          "id": null,
          "is_default": null,
          "name": null,
          "phone": null,
          "postal_code": null,
          "shipping_type": null,
          "state_province": null,
          "street_address": null,
          "updated_at": null
        }
      ],
      "comment": "string",
      "contact_name": "string",
      "created_at": "string",
      "credit_check": false,
      "custom_fields": {},
      "customer_groups": [
        {
          "id": null,
          "name": null,
          "slug": null
        }
      ],
      "email": "string",
      "external_ref": "string",
      "files": [
        {
          "app_id": null,
          "content_type": null,
          "created_at": null,
          "custom_fields": null,
          "filename": null,
          "id": null,
          "updated_at": null,
          "url": null
        }
      ],
      "id": "string",
      "invoice_email": "string",
      "level": "string",
      "name": "string",
      "organisation_number": "string",
      "parent_id": "string",
      "phone": "string",
      "role": "string",
      "role_name": "string",
      "shipping_address": [
        {
          "city": null,
          "co_address": null,
          "company_id": null,
          "company_name": null,
          "country": null,
          "created_at": null,
          "house_number": null,
          "id": null,
          "is_default": null,
          "name": null,
          "phone": null,
          "postal_code": null,
          "shipping_type": null,
          "state_province": null,
          "street_address": null,
          "updated_at": null
        }
      ],
      "status": "string",
      "store_groups": [
        {
          "country_of_sale": null,
          "created_at": null,
          "description": null,
          "id": null,
          "name": null,
          "slug": null,
          "store_type": null,
          "updated_at": null
        }
      ],
      "tags": [
        {
          "id": null,
          "key": null,
          "name": null
        }
      ],
      "tax_id_vat_number": "string",
      "updated_at": "string"
    }
  ],
  "phone_number": "string",
  "status": "string",
  "store_group": "string",
  "store_group_id": "string",
  "tags": [
    {
      "id": "string",
      "key": "string",
      "name": "string"
    }
  ],
  "updated_at": "string"
}

400 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

404 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

500 - object

HTTP Error

PropertyTypeRequiredDetails
codeenum(201, 403, 401, 500, 404, 400, 409)No-
detailsstring[]No-
extra_fieldsobjectNo-
messagestringNo-

Generated example (synthetic):

{
  "code": 201,
  "details": [
    "string"
  ],
  "extra_fields": {},
  "message": "string"
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Auth API
  • Method: DELETE
  • Path: /api/v1/\{app_id\}/users/\{user_id\}/attributes/\{attribute_id\}
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Attributes, Users
  • OpenAPI summary: Remove attribute relationship from a user

Remove attribute relationship from a user

# Remove attribute relationship from a user Disassociates an attribute from a specific user.
DELETE /api/v1/{app_id}/users/{user_id}/attributes/{attribute_id}
Purpose

Disassociates an attribute from a specific user.

Required inputs

app_id path user_id path attribute_id path

Primary response

200 ยท The updated user object

Operation key

auth-api:DELETE:/api/v1/{app_id}/users/{user_id}/attributes/{attribute_id}

## API ownership - API family: Auth API - Best for: Customer identity, session, token, cart, and wishlist flows. - Do not use from: Merchant admin data syncs or public catalog rendering. - Guide route: [/apis/auth/latest](/apis/auth/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `DELETE` - Path: `/api/v1/{app_id}/users/{user_id}/attributes/{attribute_id}` - Summary: Remove attribute relationship from a user - Description: Disassociates an attribute from a specific user. - OpenAPI contract: auth-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:DELETE:/api/v1/{app_id}/users/{user_id}/attributes/{attribute_id}` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | Application ID | | user_id | path | Yes | string | User ID | | attribute_id | path | Yes | string | Attribute ID | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | The updated user object | application/json (object) | | 400 | Invalid request parameters | application/json (object) | | 404 | User or Attribute relationship not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### User | Property | Type | Required | Details | | --- | --- | --- | --- | | `additions` | object | No | - | | `address` | object | No | - | | `app_id` | string | No | - | | `attributes` | object[] | No | - | | `communication_preferences` | object | No | - | | `created_at` | string | No | - | | `customer_groups` | object[] | No | - | | `email` | string | No | - | | `email_verified` | boolean | No | - | | `files` | object[] | No | - | | `first_name` | string | No | - | | `id` | string | No | - | | `is_super_admin` | boolean | No | - | | `language` | string | No | - | | `last_login_at` | string | No | - | | `last_name` | string | No | - | | `market` | string | No | - | | `market_currency` | string | No | - | | `market_id` | string | No | - | | `organisations` | object[] | No | - | | `phone_number` | string | No | - | | `status` | string | No | - | | `store_group` | string | No | - | | `store_group_id` | string | No | - | | `tags` | object[] | No | - | | `updated_at` | string | No | - | ##### Address | Property | Type | Required | Details | | --- | --- | --- | --- | | `city` | string | No | - | | `country` | string | No | - | | `country_code` | string | No | - | | `street` | string | No | - | | `zip_code` | string | No | - | ##### Attribute | Property | Type | Required | Details | | --- | --- | --- | --- | | `description` | string | No | - | | `id` | string | No | - | | `key` | string | No | - | | `name` | string | No | - | | `template_key` | string | No | - | | `translations` | object | No | - | | `values` | object | No | - | ##### Attribute Translations | Property | Type | Required | Details | | --- | --- | --- | --- | | `description` | object | No | - | | `name` | object | No | - | ##### Communication Preferences | Property | Type | Required | Details | | --- | --- | --- | --- | | `allow_email` | boolean | No | - | | `allow_postal` | boolean | No | - | | `allow_sms` | boolean | No | - | ##### Customer Group Ref | Property | Type | Required | Details | | --- | --- | --- | --- | | `id` | string | No | - | | `name` | string | No | - | | `slug` | string | No | - | ##### File | Property | Type | Required | Details | | --- | --- | --- | --- | | `app_id` | string | No | - | | `content_type` | string | No | - | | `created_at` | string | No | - | | `custom_fields` | object | No | - | | `filename` | string | No | - | | `id` | string | No | - | | `updated_at` | string | No | - | | `url` | string | No | - | ##### Organisation With User Relation | Property | Type | Required | Details | | --- | --- | --- | --- | | `app_id` | string | No | - | | `attributes` | object[] | No | - | | `billing_address` | object[] | No | - | | `comment` | string | No | - | | `contact_name` | string | No | - | | `created_at` | string | No | - | | `credit_check` | boolean | No | - | | `custom_fields` | object | No | - | | `customer_groups` | object[] | No | - | | `email` | string | No | - | | `external_ref` | string | No | - | | `files` | object[] | No | - | | `id` | string | No | - | | `invoice_email` | string | No | - | | `level` | string | No | Can be null when a child organisation is without this user relation | | `name` | string | No | - | | `organisation_number` | string | No | - | | `parent_id` | string | No | - | | `phone` | string | No | - | | `role` | string | No | Can be null when a child organisation is without this user relation | | `role_name` | string | No | Can be null when a child organisation is without this user relation | | `shipping_address` | object[] | No | - | | `status` | string | No | - | | `store_groups` | object[] | No | - | | `tags` | object[] | No | - | | `tax_id_vat_number` | string | No | - | | `updated_at` | string | No | - | ##### Company Address | Property | Type | Required | Details | | --- | --- | --- | --- | | `city` | string | No | - | | `co_address` | string | No | - | | `company_id` | string | No | - | | `company_name` | string | No | - | | `country` | string | No | - | | `created_at` | string | No | - | | `house_number` | string | No | - | | `id` | string | No | - | | `is_default` | boolean | No | - | | `name` | string | No | - | | `phone` | string | No | - | | `postal_code` | string | No | - | | `shipping_type` | string | No | - | | `state_province` | string | No | - | | `street_address` | string | No | - | | `updated_at` | string | No | - | ##### Store Group | Property | Type | Required | Details | | --- | --- | --- | --- | | `country_of_sale` | string | No | - | | `created_at` | string | No | - | | `description` | string | No | - | | `id` | string | No | - | | `name` | string | No | - | | `slug` | string | No | - | | `store_type` | string | No | - | | `updated_at` | string | No | - | ##### Tag | Property | Type | Required | Details | | --- | --- | --- | --- | | `id` | string | No | - | | `key` | string | No | - | | `name` | string | No | - |
Generated example (synthetic) ```json { "additions": {}, "address": { "city": "string", "country": "string", "country_code": "string", "street": "string", "zip_code": "string" }, "app_id": "string", "attributes": [ { "description": "string", "id": "string", "key": "string", "name": "string", "template_key": "string", "translations": { "description": {}, "name": {} }, "values": {} } ], "communication_preferences": { "allow_email": false, "allow_postal": false, "allow_sms": false }, "created_at": "string", "customer_groups": [ { "id": "string", "name": "string", "slug": "string" } ], "email": "string", "email_verified": false, "files": [ { "app_id": "string", "content_type": "string", "created_at": "string", "custom_fields": {}, "filename": "string", "id": "string", "updated_at": "string", "url": "string" } ], "first_name": "string", "id": "string", "is_super_admin": false, "language": "string", "last_login_at": "string", "last_name": "string", "market": "string", "market_currency": "string", "market_id": "string", "organisations": [ { "app_id": "string", "attributes": [ { "description": null, "id": null, "key": null, "name": null, "template_key": null, "translations": null, "values": null } ], "billing_address": [ { "city": null, "co_address": null, "company_id": null, "company_name": null, "country": null, "created_at": null, "house_number": null, "id": null, "is_default": null, "name": null, "phone": null, "postal_code": null, "shipping_type": null, "state_province": null, "street_address": null, "updated_at": null } ], "comment": "string", "contact_name": "string", "created_at": "string", "credit_check": false, "custom_fields": {}, "customer_groups": [ { "id": null, "name": null, "slug": null } ], "email": "string", "external_ref": "string", "files": [ { "app_id": null, "content_type": null, "created_at": null, "custom_fields": null, "filename": null, "id": null, "updated_at": null, "url": null } ], "id": "string", "invoice_email": "string", "level": "string", "name": "string", "organisation_number": "string", "parent_id": "string", "phone": "string", "role": "string", "role_name": "string", "shipping_address": [ { "city": null, "co_address": null, "company_id": null, "company_name": null, "country": null, "created_at": null, "house_number": null, "id": null, "is_default": null, "name": null, "phone": null, "postal_code": null, "shipping_type": null, "state_province": null, "street_address": null, "updated_at": null } ], "status": "string", "store_groups": [ { "country_of_sale": null, "created_at": null, "description": null, "id": null, "name": null, "slug": null, "store_type": null, "updated_at": null } ], "tags": [ { "id": null, "key": null, "name": null } ], "tax_id_vat_number": "string", "updated_at": "string" } ], "phone_number": "string", "status": "string", "store_group": "string", "store_group_id": "string", "tags": [ { "id": "string", "key": "string", "name": "string" } ], "updated_at": "string" } ```
### 400 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ### 404 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ### 500 - object #### HTTP Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `code` | enum(201, 403, 401, 500, 404, 400, 409) | No | - | | `details` | string[] | No | - | | `extra_fields` | object | No | - | | `message` | string | No | - | **Generated example (synthetic):** ```json { "code": 201, "details": [ "string" ], "extra_fields": {}, "message": "string" } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Auth API - Method: `DELETE` - Path: `/api/v1/{app_id}/users/{user_id}/attributes/{attribute_id}` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:DELETE:/api/v1/{app_id}/users/{user_id}/attributes/{attribute_id}` - OpenAPI tag: Attributes, Users - OpenAPI summary: Remove attribute relationship from a user